Bug 78213 - rh-cfg-xf86 fails to identify monitor post-install
rh-cfg-xf86 fails to identify monitor post-install
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-xfree86 (Show other bugs)
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Depends On:
  Show dependency treegraph
Reported: 2002-11-19 23:00 EST by Need Real Name
Modified: 2008-05-01 11:38 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-02-18 17:33:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-11-19 23:00:41 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2b) Gecko/20021028

Description of problem:
Redhat-config-xfree86 does not identify Apple Studio display when run manually.
At install time, Monitor is correctly identified and setup, so what is different
in the code as to render this monitor unidentifiable in a post-install
configuration? Appears not to be in the redhat-config-xfree86 database, although
it is indentified when first installed. Makes changing graphics cards a real
pain. Have to switch monitors to get useful display - then switch back.
Redhat-config-xfree86 reports a DDF probe failure - cannot identify monitor, and
thus cannot run X server. Probe fails.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Switch graphics card on Linux System (8.0) using Apple Studio Display monitor
that was configured correctly during intial install.
2. Attempt to restart either by init 5 or startx from init 3
3. X server fails.
4. Attempt to run redhat-config-xfree86 as root
5. Probe fails to return any usable values.
6. Then have to switch monitors to probe for a recognized monitor.
7. When correctly setup - shutdown and halt machine.
8. Re-attach Apple display with usable X configuration - and it works.

Actual Results:  The monitor now works.

Expected Results:  The Apple Studio Display should be recognized as it is during
intitial configuration and setup. That probe correctly identifies the monitor.
You cannot choose the Apple Studio (or any Apple monitor for that matter)
Display when manually attempting to do this in redhat-config-xfree86 either.

Additional info:

It would seem fairly simple to ensure that the hardware could correctly be
probed post-install if it works during intitial setup.
Comment 1 Alexander Larsson 2002-11-20 05:59:00 EST
Yes. That's strange. 
msf: Do you know if anaconda does its DDC probe differently somehow?
Comment 2 Brent Fox 2002-12-23 02:02:36 EST
ctalk, can you attach your /etc/X11/XF86Config file?
Comment 3 Brent Fox 2003-01-06 11:56:26 EST
ctalk: ping?
Comment 4 Brent Fox 2003-01-07 11:42:38 EST
ctalk: I saw the file that you sent in an email, but I was hoping to get the
XF86Config that anaconda wrote out.  Sorry that I didn't make that clear.  It's
hard to say at this point what the problem is.

What does the output of '/usr/bin/ddcprobe' (must run as root) say?  
Comment 5 Brent Fox 2003-02-18 17:33:30 EST
Closing due to lack of information.

Note You need to log in before you can comment on or make changes to this bug.